Subject: Re: bug#6078: 23.1.90; switch-to-buffer does not redisplay until an event occurs

From: martin rudalics <[email-masked]>
Date: Sun, 02 May 2010 20:57:33 +0200

> The following code, an attempt to have a visual window switching
 > facility, is failing to provide the visual clue it's meant to give. That
 > seems to be because switch-to-buffer won't redisplay until some event
 > occurred, and neither using sit-for nor redisplay helps.

Your problem is with `text-scale-adjust' which should be used only
interactively.  (BTW, you need neither the `select-window' nor the
`switch-to-buffer' in your code, `set-window-buffer' is sufficient.)

martin